Subject: Re: git-svn and renames

From: Rogan Dawes <[email-masked]>
Date: Thu, 12 Jul 2007 18:51:09 +0200

Eric Wong wrote:

>> I've personally noted a rename issue with committing funky characters
>> "#{}" in filenames (I was renaming to get rid of those funky characters of
>> course).   Haven't had proper time to look into it.
>>
>> Did any previous successful commits have renames in them?  You may want
>> to set similarity to 100% to disable rename detection.
> 
> SVN over HTTP is most definitely behaves differently from svn:// and
> file:// wrt strange file names.  I'll see if I can work on this again in
> day or two, or if anybody wants to pick up where I left off, my
> work-in-progress test case is below (it's currently failing, of course).
> 
> I'll have to look into how (if) svk handles it and also at the svn
> command-line client.  I'm fairly sure the command-line svn client
> handles it somehow...
> 
> Right now I'm getting sleepy, my vision is blurring and I'm seeing
> "SVN" as "S/M" through my tired eyes...
> 

Hi Eric,

This doesn't seem to be my problem. In my case, the filenames are quite 
simple and straightforward.

Thanks

Rogan